"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateMetasMarkup = void 0;
const state_1 = require("../state");
// Public
const generateMetasMarkup = (metas) => {
    const title = metas.title ? `<title>${metas.title}</title>` : '';
    const tagsList = (0, state_1.getTagsList)(metas);
    const tags = tagsList.map(({ attributes, tag }) => {
        const attributeParts = Object.keys(attributes).map((key) => {
            const value = attributes[key] ? `="${attributes[key] || ''}"` : '';
            return `${key}${value}`;
        });
        return `<${tag} ${attributeParts.join(' ')} />`;
    });
    return [title, ...tags].join('');
};
exports.generateMetasMarkup = generateMetasMarkup;
